XercesParser (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.digester.XercesParser class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.digester
Class XercesParser

    java.lang.Object
      org.apache.tomcat.util.digester.XercesParser

    public class XercesParser

extends java.lang.Object

Create a `SAXParser` based on the underlying Xerces version. Currently, Xerces 2.3 and up doesn't implement schema validation the same way 2.1 was. In other to support schema validation in a portable way between parser, some features/properties need to be set.

Since:
  1.6

Field Summary
`protected static java.lang.String` | `JAXP_SCHEMA_LANGUAGE` The JAXP 1.2 property to set up the schemaLanguage used.
`protected static Log` | `log` The Log to which all SAX event related logging calls will be made.
`protected static float` | `version` A `float` representing the underlying Xerces version
`protected static java.lang.String` | `versionNumber` The current Xerces version.
`protected static java.lang.String` | `XERCES_DYNAMIC` Xerces dynamic validation property
`protected static java.lang.String` | `XERCES_SCHEMA` Xerces schema validation property

Constructor Summary
`XercesParser()`

Method Summary
`static javax.xml.parsers.SAXParser` | `newSAXParser(java.util.Properties properties)` Create a `SAXParser` based on the underlying `Xerces` version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Log log

  The Log to which all SAX event related logging calls will be made.

### JAXP_SCHEMA_LANGUAGE

    protected static java.lang.String JAXP_SCHEMA_LANGUAGE

  The JAXP 1.2 property to set up the schemaLanguage used.

### XERCES_DYNAMIC

    protected static java.lang.String XERCES_DYNAMIC

  Xerces dynamic validation property

### XERCES_SCHEMA

    protected static java.lang.String XERCES_SCHEMA

  Xerces schema validation property

### version

    protected static float version

  A `float` representing the underlying Xerces version

### versionNumber

    protected static java.lang.String versionNumber

  The current Xerces version.

Constructor Detail

### XercesParser

    public XercesParser()

Method Detail

### newSAXParser

    public static javax.xml.parsers.SAXParser newSAXParser(java.util.Properties properties)
                                                    throws javax.xml.parsers.ParserConfigurationException,
                                                           org.xml.sax.SAXException,
                                                           org.xml.sax.SAXNotSupportedException

  Create a `SAXParser` based on the underlying `Xerces` version.

  Parameters:
    `properties` - parser specific properties/features
  Returns:
    an XML Schema/DTD enabled `SAXParser`
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`
    `org.xml.sax.SAXNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.